<template>
  <div>
    <a-modal v-model="isShow" :footer="null" centered :closable="false" width="480">
      <div style="text-align: center; margin: 20px 0;">
        <p>数据导出中，请稍后在右上角的【下载中心】功能中下载导出文件！</p>
        <a-button type="primary" @click="cancel" size="small">好的</a-button>
      </div>
    </a-modal>
  </div>
</template>

<script>
export default {
  props: {
    visible: {
      type: Boolean,
      default: false
    }
  },
  data () {
    return {
      isShow: this.visible
    }
  },
  methods: {
    cancel () {
      this.$emit('close')
    }
  },
  watch: {
    visible (newValue, oldValue) {
      this.isShow = newValue
    },
    isShow (nVal, oVal) {
      if (!nVal) {
        this.$emit('close')
      }
    }
  }
}
</script>

<style>
</style>
